package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TImageMapper;
import com.ruoyi.system.domain.TImage;
import com.ruoyi.system.service.ITImageService;

/**
 * 图片Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-15
 */
@Service
public class TImageServiceImpl implements ITImageService
{
    @Autowired
    private TImageMapper tImageMapper;

    /**
     * 查询图片
     *
     * @param id 图片主键
     * @return 图片
     */
    @Override
    public TImage selectTImageById(Long id)
    {
        return tImageMapper.selectTImageById(id);
    }

    /**
     * 查询图片列表
     *
     * @param tImage 图片
     * @return 图片
     */
    @Override
    public List<TImage> selectTImageList(TImage tImage)
    {
        return tImageMapper.selectTImageList(tImage);
    }

    /**
     * 新增图片
     *
     * @param tImage 图片
     * @return 结果
     */
    @Override
    public int insertTImage(TImage tImage)
    {
        tImage.setCreateTime(DateUtils.getNowDate());
        return tImageMapper.insertTImage(tImage);
    }

    /**
     * 修改图片
     *
     * @param tImage 图片
     * @return 结果
     */
    @Override
    public int updateTImage(TImage tImage)
    {
        return tImageMapper.updateTImage(tImage);
    }

    /**
     * 批量删除图片
     *
     * @param ids 需要删除的图片主键
     * @return 结果
     */
    @Override
    public int deleteTImageByIds(Long[] ids)
    {
        return tImageMapper.deleteTImageByIds(ids);
    }

    /**
     * 删除图片信息
     *
     * @param id 图片主键
     * @return 结果
     */
    @Override
    public int deleteTImageById(Long id)
    {
        return tImageMapper.deleteTImageById(id);
    }

    @Override
    public int deleteTImageByThirdId(Long id)
    {
        return tImageMapper.deleteTImageByThirdId(id);
    }
}
